Bug 69901 - [MAINTAINER] mail/MailScanner: update to 4.32.5
Summary: [MAINTAINER] mail/MailScanner: update to 4.32.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-02 12:40 UTC by Jan-Peter Koopmann
Modified: 2004-08-08 18:16 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.32.5.patch (4.75 KB, patch)
2004-08-02 12:40 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2004-08-02 12:40:19 UTC
- Update to 4.32.5

Reason for Priority/Severity: The prior version had a bug that could possibly allow MyDoom.O to pass. The -devel version has
this fixed but this is the first stable version with a fix.


* New Features and Improvements *

- Per-domain white and blacklisting now supports IP address checks.
- Disarmed web bugs now tell you where they came from.
- New "Run In Foreground" option which will be useful if you are trying to
   use another tool to monitor MailScanner's health and restart it auto-
   matically if it dies for some reason.
- New "--perl=" switch for install.sh on non-RPM systems.
- Added extra strings to languages.conf to support new feature of reporting
   the fault with a message in the subject line of the postmaster report.
- CheckModuleVersion now supports the "-v" command-line option, to make its
   output more verbose.
- Upgraded Archive::Zip to 1.12.
- Added *.job to the list of banned filenames.
- New "Spam Score Number Format" option to allow numeric formatting of the
   number that is substituted for _SCORE_ in the spam score outputting.
- Added "--version" (or "-v" or anything that looks roughly like "-v").
   This will make MailScanner print the version number of all the modules
   that MailScanner uses, along with its own version number.
- Improved MailScanner.conf settings to explicitly say that "Virus Scanners"
   cannot be a ruleset.
- Improvement to installer for non-RPM systems to catch broken MakeMaker on
   some Solaris systems.
- Updated OpenBSD manual installation instructions.
- Added $MailScanner::Config::ConfFile so that Custom Functions can find the
   configuration directory easily.
- Updated Spanish translations.

* Fixes *

- Postfix file corruption problem remaining on a few systems, now fixed.
   It was a Perl bug.
- tar distribution check_mailscanner.cron file now calls check_mailscanner
   and not check_MailScanner.
- Comments output in upgrade_MailScanner_conf made more consistent.
- Moved "Spam List" so it matches the first rule, not all rules. This enables
   you to apply rules for entire domains and exceptions for certain addresses
   within those domains.
- Improved zip of death detection.
- Changed web bug disarming so alt text is only provided if there is a 'src'.
- Fixed bug where autolearn status was reported incorrectly with SpamAssassin 2.
- Fixed bug causing symptom of missing identically-named nested zip files.
- Fixed bug in ZMailer.pm from Mariano.
- Fixed bug involving '+' characters in address patterns in config compiler.



Generated with FreeBSD Port Tools 0.50
Comment 1 Sergey Matveychuk freebsd_committer 2004-08-05 07:32:00 UTC
Unfetchable distfile (server problem?).

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2004-08-08 18:16:44 UTC
State Changed
From-To: open->closed

Committed, thanks!